using skyscraper5.Mpeg2;
using skyscraper5.src.Mpeg2.PacketFilter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.UI.Overrides
{
	internal class TeiCounter : IPacketFilter
	{
		public bool PassPacket(TsPacket packet)
		{
			if (packet.TEI)
				TransportErrors++;

			return true;
		}

		public long TransportErrors { get; private set; }
	}
}
